Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	open phone abstraction library
Name:		opal 
Version:	3.6.6
Release:	1
License:	MPL
URL:		http://www.opalvoip.org
Group:		Networking/Library
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

# Patches:
Patch0:		opal_emptyprovide.patch

Obsoletes:	openh323

#Automatically resolved build dependencies
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libogg-devel
BuildRequires: libstdc++-devel
BuildRequires: libtheora-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: ptlib-devel
BuildRequires: SDL-devel
BuildRequires: speex-devel
BuildRequires: x264-devel
BuildRequires: zlib-devel

%description
Open Phone Abstraction Library, implementation of the ITU H.323
teleconferencing protocol, and successor of the openh323 library.

%package	devel
Summary:	Development package for opal
Group:		Development/Libraries
Requires:	opal = %{version}-%{release}
Obsoletes:	openh323-devel

%description	devel
Static libraries and header files for development with opal.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
cd plugins
%configure
cd ..
%configure
make OPTCCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_datadir}/opal/opal_inc.mak
# Remove empty header from build
rm -f $RPM_BUILD_ROOT/%{_includedir}/opal/sip/sdpcaps.h
rm -f $RPM_BUILD_ROOT/%{_libdir}/libopal_s.a

%files
%defattr(-,root,root)
%doc mpl-1.0.htm
%_libdir/*.so.*
%_libdir/%{name}-%{version}/lid/*.so
%_libdir/%{name}-%{version}/codecs/audio/*.so
%_libdir/%{name}-%{version}/codecs/video/*.so
%_libdir/%{name}-%{version}/codecs/video/h264_video_pwplugin_helper

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 29 2009 Christian Wasem <wasem@ccux-linux.de> 3.6.6-1
- Version update
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 3.6.1-1
- Version update
* Wed Mar 25 2009 Christian Wasem <wasem@ccux-linux.de> 3.4.5-1
- Version update
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 3.4.3-3
- rebuild against x264-20090324
* Sun Dec 28 2008 Christian Metzen <metzench@ccux-linux.de> 3.4.3-2
- add patch that removes empty package provides
* Mon Dec 22 2008 Christian Wasem <wasem@ccux-linux.de> 3.4.3-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.2.11-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.2.6-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.3-1
- Version update
* Sun Jun 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-2
- rebuilt against pwlib 1.10.1
* Tue Jun 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Initial Release
